ru.bitel.bgbilling.kernel.network.flow

## Class FlowListener

- java.lang.Object
- - ru.bitel.common.io.DatagramChannelListener
  - - ru.bitel.bgbilling.kernel.network.flow.FlowListener

- All Implemented Interfaces:
    java.lang.Runnable

      public abstract class FlowListener
      extends ru.bitel.common.io.DatagramChannelListener

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.io.DatagramChannelListener

      `byteBufferCapacity, channel, directByteBuffer, host, inited, maxPacketSize, port, selector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowListener(int port, int byteBufferCapacity, int socketRCVBUF, java.lang.String nestedContext)`
    `FlowListener(java.lang.String host, int port, int byteBufferCapacity, int socketRCVBUF, java.lang.String nestedContext)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `flush(long millis, java.util.List<FlowPacket> packetList)`
    `void` | `init()`
    `void` | `run()`
    `java.lang.Thread` | `startListener()`
    `java.lang.String` | `toString()`
    `protected void` | `toString(java.lang.StringBuilder result)`

    - ### Methods inherited from class ru.bitel.common.io.DatagramChannelListener

      `onPacket, select, send, sendResponse, setReuseAddress, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowListener

          public FlowListener(java.lang.String host,
                              int port,
                              int byteBufferCapacity,
                              int socketRCVBUF,
                              java.lang.String nestedContext)

    - #### FlowListener

          public FlowListener(int port,
                              int byteBufferCapacity,
                              int socketRCVBUF,
                              java.lang.String nestedContext)

  - ### Method Detail

    - #### init

          public void init()

      Overrides:
        `init` in class `ru.bitel.common.io.DatagramChannelListener`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `ru.bitel.common.io.DatagramChannelListener`

    - #### flush

          public abstract void flush(long millis,
                                     java.util.List<FlowPacket> packetList)

    - #### startListener

          public java.lang.Thread startListener()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          protected void toString(java.lang.StringBuilder result)